using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;

namespace HotelContracts.StoragesContracts;

public interface ICleaningInstrumentsStorage
{
    List<CleaningInstrumentsViewModel> GetFullList();
    List<CleaningInstrumentsViewModel> GetFilteredList(CleaningInstrumentsSearchModel model);
    CleaningInstrumentsViewModel? GetElement(CleaningInstrumentsSearchModel model);
    CleaningInstrumentsViewModel? Insert(CleaningInstrumentsBindingModel model);
    CleaningInstrumentsViewModel? Update(CleaningInstrumentsBindingModel model);
    CleaningInstrumentsViewModel? Delete(CleaningInstrumentsBindingModel model);
}